package team.frc.morpheus.vision.limelight;

import edu.wpi.first.networktables.NetworkTable;
import edu.wpi.first.networktables.NetworkTableInstance;

import java.util.Optional;

public class DoubleTargetTrackerLimelight {

    private static Optional<NetworkTable> networkTable = Optional.empty();

    public static double getLRAdjustment() {
        if (networkTable.isEmpty()) {
            networkTable = Optional.of(NetworkTableInstance.getDefault().getTable("limelight"));
        }

        if (networkTable.get().getEntry("tv").getDouble(0) != 0) {
            return (networkTable.get().getEntry("tx").getDouble(0.0) + 3.0) / 29.8; // 2 pixels off
        } else return 0;
    }

}
