package team.frc.morpheus.util.input;

import edu.wpi.first.wpilibj.buttons.Button;

import java.util.function.Supplier;

public class LambdaButton extends Button {

    private Supplier<Boolean> triggerSource;

    public LambdaButton(Supplier<Boolean> triggerSource) {
        this.triggerSource = triggerSource;
    }

    @Override
    public boolean get() {
        return triggerSource.get();
    }
}
